Package twisted :: Package python :: Module reflect :: Class Promise

[frames | no frames]

## Class Promise

I represent an object not yet available.

Methods called on me will be queued and sent as soon as the object becomes available. Typically my `__become__` method is registered as a callback with some event that will return my new identity.

Method Summary
| `__init__(self)`
| `__become__(self, new_self)`
| `__getattr__(self, key)`

Generated by Epydoc 2.0 on Wed Feb 25 07:37:38 2004 | http://epydoc.sf.net